Subject: Re: bug#17122: More problems with --no-substitutes

From: Sree Harsha Totakura <[email-masked]>
Date: Thu, 27 Mar 2014 17:51:05 +0100

On 03/27/2014 05:12 PM, Mark H Weaver wrote:
> Until we get this straightened out, what's the most reliable way for me to 
> hack the code to ensure that substitutes cannot work, ever?

As a hack, you can try removing the code after the first line from
nix/scripts/substitute-binary.in and just have the script exit a return value
of 1.  (you'll have to run config.status and make install after that).

This script substitute-binary when installed, is called by the daemon to fetch
the substitutes.  If you just return 1 without doing anything in this script,
I am guessing the daemon would fall back to build locally.

Sree